- name: Generate core-site.xml hadoop configuration file
  ansible.builtin.template:
    src: core-site.xml.j2
    dest: /etc/hadoop/core-site.xml

- name: Generate hdfs-site.xml hadoop configuration file
  ansible.builtin.template:
    src: hdfs-site.xml.j2
    dest: /etc/hadoop/hdfs-site.xml

- name: Generate yarn-site.xml hadoop configuration file
  ansible.builtin.template:
    src: yarn-site.xml.j2
    dest: /etc/hadoop/yarn-site.xml

- name: Generate /etc/hadoop/workers file with worker nodes
  ansible.builtin.template:
    src: workers.j2
    dest: /etc/hadoop/workers

- name: Generate mapred-site.xml hadoop configuration file
  ansible.builtin.template:
    src: mapred-site.xml.j2
    dest: /etc/hadoop/mapred-site.xml
  when: hadoop.enable_mapreduce
